For Developers
Delete Source
DELETE https://ed.link/api/v2/teams/:team_id/sources/:source_id
Deletes a source and unlinks any associated integration connections.
Permissions
Requires the sources.delete system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:source_id | UUID | Yes | The ID of the source to delete. |
Sample Request
const response = await axios.delete(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "7b5a19cb-9ea8-4b71-9b16-564ec5ea0b12",
"deleted": true
}
}
